package com.nokia.dao;

import com.nokia.pojo.UserEntity;
import com.nokia.vo.FlowRoleVo;
import com.nokia.vo.FlowUserVo;

import java.util.List;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class UserDaoTest {

    @Autowired
    UserDao userDao;

    @Test
    void testGetByLoinName() {
        UserEntity usr = userDao.getByLoinName("test_hebei");
        System.out.println(usr);
    }

    @Test
    void testGetFlowUserVoByUserId() {
        FlowUserVo flowUserVo = userDao.getFlowUserVoByUserId(3);
        System.out.println(flowUserVo);
    }

    @Test
    void testFindRoleList() {
        List<FlowRoleVo> flowRoleVos = userDao.findRoleList("测试用户_全省");
        System.out.println(flowRoleVos);
    }

    @Test
    void testFindRoleList2() {
        List<FlowRoleVo> flowRoleVos = userDao.findRoleList2();
        System.out.println(flowRoleVos);
    }

    @Test
    void testFindToPage() {
        List<FlowUserVo> flowRoleVos = userDao.findToPage();
        System.out.println(flowRoleVos);
    }

    @Test
    void testGetFlowUserVoByLoginId() {
        FlowUserVo flowUserVo = userDao.getFlowUserVoByLoginId("test_hebei");
        System.out.println(flowUserVo);
    }

    @Test
    void testFindRoleIdByUserId() {
        List<Integer> roleIds = userDao.findRoleIdByUserId(4);
        System.out.println(roleIds);
    }

    @Test
    void testFindUserIdByRoleId() {
        List<Integer> userIds = userDao.findUserIdByRoleId(6);
        System.out.println(userIds);
    }

    @Test
    void testFindAuthorizedUser() {
        List<FlowUserVo> flowUserVos = userDao.findAuthorizedUser(null, null, null);
        System.out.println(flowUserVos);
    }
}